Query the APIKey of a sub-account
Get API key information for the specified sub-account.
HTTP Request
- GET
/api/v3/sub-account/apiKey
Required Permission: SPOT_ACCOUNT_READ
Weight(IP): 1
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| subAccount | STRING | YES | Sub-account Name |
| recvWindow | LONG | NO | |
| timestamp | LONG | YES |
Response Parameters
| Name | Type | Description |
|---|---|---|
| subAccount | array | APIKey list |
| note | string | APIKey note (item in subAccount) |
| apiKey | string | API public key (item in subAccount) |
| permissions | string | APIKey permissions (item in subAccount) |
| ip | string | Linked IP addresses (item in subAccount) |
| createTime | long | Creation time, Unix millisecond timestamp (item in subAccount) |
Response
{
"subAccount":[
{
"note":"v5",
"apiKey":"arg13sdfgs",
"permissions":"SPOT_ACCOUNT_READ,SPOT_ACCOUNT_WRITE",
"ip":"1.1.1.1,2.2.2.2",
"createTime":1597026383085
},
{
"note":"v5.1",
"apiKey":"arg13sdfgs12",
"permissions":"SPOT_ACCOUNT_READ,SPOT_ACCOUNT_WRITE",
"ip":"1.1.1.1,2.2.2.2",
"createTime":1597026383085
}
]
}